# Uses of Interface
org.codehaus.janino.Java.TypeDeclaration

Packages that use Java.TypeDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.TypeDeclaration in org.codehaus.janino

Subinterfaces of Java.TypeDeclaration in org.codehaus.janino
Modifier and Type
Interface
Description
`static interface`
`Java.AnnotationTypeDeclaration`
Base for package member ("top-level") and member ("nested") annotation type declarations.
`static interface`
`Java.ClassDeclaration`
Base for the various class declarations (top-level class, local class, anonymous class, nested class, top-level enum, nested enum).
`static interface`
`Java.EnumDeclaration`
Base for package member (a.k.a.
`static interface`
`Java.MemberTypeDeclaration`
Represents a class or interface declaration where the immediately enclosing scope is another class or interface declaration.
`static interface`
`Java.NamedTypeDeclaration`
Represents the declaration of a class or an interface that has a name.
`static interface`
`Java.PackageMemberTypeDeclaration`
Represents a class or interface declaration on compilation unit level.
Classes in org.codehaus.janino that implement Java.TypeDeclaration
Modifier and Type
Class
Description
`static class`
`Java.AbstractClassDeclaration`
Base for the various class declaration kinds.
`static class`
`Java.AbstractTypeDeclaration`
Abstract implementation of `Java.TypeDeclaration`.
`static final class`
`Java.AnonymousClassDeclaration`
Representation of a JLS7 15.9.5 "anonymous class declaration".
`static final class`
`Java.EnumConstant`
Representation of an "enum constant", see JLS7 8.9.1.
`static class`
`Java.InterfaceDeclaration`
Base for the various interface declaration kinds.
`static final class`
`Java.LocalClassDeclaration`
Representation of a "local class declaration" i.e.
`static final class`
`Java.MemberAnnotationTypeDeclaration`
Representation of a member annotation type declaration, a.k.a.
`static class`
`Java.MemberClassDeclaration`
Representation of a "member class declaration", i.e.
`static final class`
`Java.MemberEnumDeclaration`
Representation of a "member enum declaration", i.e.
`static class`
`Java.MemberInterfaceDeclaration`
Representation of a "member interface declaration", i.e.
`static class`
`Java.NamedClassDeclaration`
Base for the various named class declarations.
`static final class`
`Java.PackageMemberAnnotationTypeDeclaration`
Representation of a package member annotation type declaration, a.k.a.
`static class`
`Java.PackageMemberClassDeclaration`
Implementation of a "package member class declaration", a.k.a.
`static final class`
`Java.PackageMemberEnumDeclaration`
Implementation of a "package member enum declaration", a.k.a.
`static class`
`Java.PackageMemberInterfaceDeclaration`
Representation of a "package member interface declaration", a.k.a.
Fields in org.codehaus.janino declared as Java.TypeDeclaration
Modifier and Type
Field
Description
`final Java.TypeDeclaration`
Java.EnclosingScopeOfTypeDeclaration.`typeDeclaration`
The specific type declaration.
Methods in org.codehaus.janino that return Java.TypeDeclaration
Modifier and Type
Method
Description
`Java.TypeDeclaration`
Java.AbstractTypeBodyDeclaration.`getDeclaringType()`
`Java.TypeDeclaration`
Java.FieldDeclaration.`getDeclaringType()`
`Java.TypeDeclaration`
Java.MemberClassDeclaration.`getDeclaringType()`
`Java.TypeDeclaration`
Java.MemberInterfaceDeclaration.`getDeclaringType()`
`Java.TypeDeclaration`
Java.TypeBodyDeclaration.`getDeclaringType()`
Methods in org.codehaus.janino with parameters of type Java.TypeDeclaration
Modifier and Type
Method
Description
`void`
Java.AbstractTypeBodyDeclaration.`setDeclaringType(Java.TypeDeclaration declaringType)`
`void`
Java.FieldDeclaration.`setDeclaringType(Java.TypeDeclaration declaringType)`
`void`
Java.FunctionDeclarator.`setDeclaringType(Java.TypeDeclaration declaringType)`
`void`
Java.MemberClassDeclaration.`setDeclaringType(Java.TypeDeclaration declaringType)`
`void`
Java.MemberInterfaceDeclaration.`setDeclaringType(Java.TypeDeclaration declaringType)`
`void`
Java.MethodDeclarator.`setDeclaringType(Java.TypeDeclaration declaringType)`
`void`
Java.TypeBodyDeclaration.`setDeclaringType(Java.TypeDeclaration declaringType)`
Sets the type declaration that this declaration belongs to.
`void`
Unparser.`unparseTypeDeclaration(Java.TypeDeclaration td)`
Constructors in org.codehaus.janino with parameters of type Java.TypeDeclaration
Modifier
Constructor
Description
``
`EnclosingScopeOfTypeDeclaration(Java.TypeDeclaration typeDeclaration)`

## Uses of Java.TypeDeclaration in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.TypeDeclaration
Modifier and Type
Method
Description
`Java.TypeDeclaration`
DeepCopier.`copyPackageMemberAnnotationTypeDeclaration(Java.PackageMemberAnnotationTypeDeclaration subject)`
`Java.TypeDeclaration`
DeepCopier.`copyPackageMemberClassDeclaration(Java.PackageMemberClassDeclaration subject)`
`Java.TypeDeclaration`
DeepCopier.`copyPackageMemberEnumDeclaration(Java.PackageMemberEnumDeclaration subject)`
`Java.TypeDeclaration`
DeepCopier.`copyPackageMemberInterfaceDeclaration(Java.PackageMemberInterfaceDeclaration subject)`
`Java.TypeDeclaration`
DeepCopier.`copyTypeDeclaration(Java.TypeDeclaration subject)`
Methods in org.codehaus.janino.util with parameters of type Java.TypeDeclaration
Modifier and Type
Method
Description
`Java.TypeDeclaration`
DeepCopier.`copyTypeDeclaration(Java.TypeDeclaration subject)`
`void`
AbstractTraverser.`visitTypeDeclaration(Java.TypeDeclaration td)`
`void`
Traverser.`visitTypeDeclaration(Java.TypeDeclaration td)`